Itunes Error on G5

Discussion in 'PowerPC Macs' started by Pantomimehorse, Mar 5, 2012.

  1. Pantomimehorse macrumors newbie

    Joined:
    Mar 5, 2012
    Location:
    London
    #1
    I've just picked up a cheap G5 2.0 dual Mac to use a second machine in my shed but Im having problems with Itunes

    The machine was given a clean install of leopard by the last owner and itunes as well. When I go to click on Itunes I get an error message saying "itunes needs Quicktime 7 to run"

    I've tried uninstalling itunes ans reinstalling an older version I found but once installed and I try to open I get the same error message.

    Can anyone tell me whats wrong?

    thanks

    Chris
     
  2. MAC MAN JW macrumors 6502

    MAC MAN JW

    Joined:
    Jul 12, 2011
    Location:
    Buffalo,Ny
    #2
    Download and install this http://support.apple.com/downloads/QuickTime_7_6_for_Leopard Then iTunes should work:)
     
  3. Pantomimehorse thread starter macrumors newbie

    Joined:
    Mar 5, 2012
    Location:
    London
    #3
    Awesome that worked perfectly thanks so much this has been bugging me for a week
     

Share This Page